import Conf, { Schema } from 'conf';
export { Conf, Schema };
export interface ConfSchema {
    sessionStore: string;
}
/**
 * Get session.
 *
 * @returns Session.
 */
export declare function getSession(config?: Conf<ConfSchema>): string | undefined;
/**
 * Set session.
 *
 * @param session - Session.
 */
export declare function setSession(session: string, config?: Conf<ConfSchema>): void;
/**
 * Remove session.
 */
export declare function removeSession(config?: Conf<ConfSchema>): void;
